LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Compiling Hydrogen 0.9.1 on Slack 9.1 (http://www.linuxquestions.org/questions/slackware-14/compiling-hydrogen-0-9-1-on-slack-9-1-a-281247/)

erraticassassin 01-23-2005 11:32 AM

Compiling Hydrogen 0.9.1 on Slack 9.1
 
Howdo all,

I'm having a little problem compiling Hydrogen (a fantastic wee drum machine) for Slackware. This problem seems to afflict only the most recent version, 0.9.1, as I have compiled earlier versions on the same system without problems. I get the following error message after having run make:

AlsaAudioDriver.cpp: In member function `virtual int
AlsaAudioDriver::connect()':
AlsaAudioDriver.cpp:191: invalid conversion from `unsigned int*' to `unsigned
int'
AlsaAudioDriver.cpp:199: invalid conversion from `unsigned int*' to `unsigned
int'
AlsaAudioDriver.cpp:226: invalid conversion from `unsigned int*' to `int*'
/usr/include/alsa/pcm.h:690: too many arguments to function `int
snd_pcm_hw_params_get_rate(const snd_pcm_hw_params_t*, int*)'
AlsaAudioDriver.cpp:226: at this point in file
/usr/include/alsa/pcm.h:752: too many arguments to function `snd_pcm_sframes_t
snd_pcm_hw_params_get_buffer_size(const snd_pcm_hw_params_t*)'
AlsaAudioDriver.cpp:227: at this point in file
make[3]: *** [AlsaAudioDriver.o] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2

I seem to recall a similar problem occurring in another thread but with different error messages. Also the fix in that problem related to specific files in the installation directory which don't appear in quite the same format in the version of Hydrogen I'm trying to compile.

Any assistance will be greatly appreciated. I'm also going to post this on the Hydrogen forum.

Thanks all.

keefaz 01-23-2005 01:09 PM

In your software docs, there is nothing about which version of alsa is required ?

tw001_tw 01-23-2005 01:42 PM

I really like hydrogen too - so I was gonna look into it and see what I found for you.

But I'm runnning Hydrogen-0.9.3-cvs. I VERY seldom use cvs, so I got to thinking.
Somewhere in the back of my mind, I remember having a similar problem with installing
hydrogen, and I think thats why I got the cvs.

I'm currently using the snapshot from Dec 04, 2004, but there is a newer one as of Jan 10, 05.

I really don't like the posts much that say 'just use this instead', but like I said, I VERY vaugly recall
a similar error with the 0.9.1, but the cvs worked out great. Hope you get it working.
-tw

In regards to keefaz's post, just for the info, I'm running alsa-1.0.5 / slack provided kernel 2.6.7

AND 1 more thing - I think I had to install libsndfile-1.0.10 (not 100% on what version is requiered, but I needed to install it) to fullfill dependancies. I got that from linuxpackages.net

erraticassassin 01-23-2005 02:52 PM

Having looked at the forums on the Hydrogen homepage, there is indeed a suggestion to use the development versions to work around this problem. As I can continue using FL Studio in WinXP for the time being, I think I'll pass on the CVS version and wait for the 0.9.2 release.

I really like the look of Hydrogen though - playing around on the previous releases gives me hope that I might be able to ditch the XP partition completely in the near future, as it's only really the lack of stable, fully-featured audio software for Linux which makes me keep it.

Ah well... All things come to he who waits.


All times are GMT -5. The time now is 04:39 AM.